Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
%define fedora 30
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           synce-software-manager
Version:        0.9.0
Release:        alt1_32
Summary:        Software manager for use with synce

License:        MIT
URL:            http://synce.sourceforge.net/
Source0:        http://dl.sf.net/synce/synce-software-manager-0.9.0.tar.gz
Source1:        synce-software-manager.desktop
Patch1:         synce-software-manager-autotools.patch

BuildRequires:  librapi-devel
BuildRequires:  libxml2-devel
BuildRequires:  zlib-devel
BuildRequires:  libpango-devel libpango-gir-devel
BuildRequires:  gtk-builder-convert gtk-demo libgail-devel libgtk+2-devel libgtk+2-gir-devel
BuildRequires:  gnome-vfs-devel
BuildRequires:  glib2-devel libgio libgio-devel
BuildRequires:  libgnome-devel
BuildRequires:  libgnomeui-devel
BuildRequires:  libglade-devel
BuildRequires:  libatk-devel libatk-gir-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  ORBit2 ORBit2-devel
BuildRequires:  desktop-file-utils
BuildRequires:  perl-XML-Parser
BuildRequires:  gettext gettext-tools
BuildRequires:  autoconf automake libtool intltool
Source44: import.info

%description
%{summary}

%prep
%setup -q
%patch1 -p1
autoreconf -fi
intltoolize -c -f

%build
%configure --disable-static --with-librapi2-include=%{_includedir} \
--with-librapi2-lib=%{_libdir}
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install \
%if 0%{?fedora} && 0%{?fedora} < 19
  --vendor=fedora \
%endif
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category=X-Fedora \
  %{SOURCE1}

%find_lang %{name}


%files -f %{name}.lang
%doc ChangeLog COPYING
%{_bindir}/synce-software-manager
%{_datadir}/synce/synce_software_manager.glade
%{_datadir}/applications/*

%changelog
* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_32
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_31
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_30
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_29
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_28
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_26
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_25
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_24
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_23
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_22
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_20
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_19
- initial fc import

